de.esprit.common.gui.gridbag

## Enum Orientation

- java.lang.Object
- - java.lang.Enum<Orientation>
  - - de.esprit.common.gui.gridbag.Orientation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Orientation>

      public enum Orientation
      extends java.lang.Enum<Orientation>

  Defines HORIZONTAL and VERTICAL orientation
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HORIZONTAL`
    `VERTICAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAxis()`
    `Orientation` | `getOpposite()`
    `int` | `getSwingValue()`
    `boolean` | `isHorizontal()`
    `boolean` | `isVertical()`
    `static Orientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Orientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final Orientation HORIZONTAL

    - #### VERTICAL

          public static final Orientation VERTICAL

  - ### Method Detail

    - #### values

          public static Orientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Orientation c : Orientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Orientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isVertical

          public boolean isVertical()

    - #### isHorizontal

          public boolean isHorizontal()

    - #### getAxis

          public int getAxis()

    - #### getSwingValue

          public int getSwingValue()

    - #### getOpposite

          public Orientation getOpposite()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.